> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List snapshots

> List snapshots



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml get /snapshots
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /snapshots:
    get:
      tags:
        - snapshots
      summary: List snapshots
      description: List snapshots
      parameters:
        - description: Limit
          in: query
          name: limit
          schema:
            type: integer
        - description: Offset
          in: query
          name: offset
          schema:
            type: integer
        - description: Order
          in: query
          name: order
          schema:
            type: string
        - description: Search
          in: query
          name: search
          schema:
            type: string
        - description: Sort by
          in: query
          name: sort_by
          schema:
            type: string
        - description: Volume ID
          in: query
          name: volume_id
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Volume ID
          in: query
          name: run_id
          explode: true
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedSnapshots'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedSnapshots:
      properties:
        data:
          items:
            $ref: '#/components/schemas/remotefs.Snapshot'
          type: array
        meta:
          $ref: '#/components/schemas/remotefs.Meta'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.Snapshot:
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        description:
          type: string
        id:
          type: string
        labels:
          additionalProperties:
            type: string
          description: System-specified, e.g. for Flows artifacts
          type: object
        lastMountedTime:
          type: string
        runId:
          description: Optional field denoting resource associated with a run
          type: string
        status:
          $ref: '#/components/schemas/remotefs.ResourceStatus'
        tags:
          description: >-
            User-specified, used for mount path resolution and is derived from
            SnapshotTags
          items:
            $ref: '#/components/schemas/remotefs.SnapshotTag'
          type: array
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        version:
          description: Links to ONTAP snapshot name
          type: integer
        volumeId:
          type: string
      required:
        - createdAt
        - createdBy
        - id
        - status
        - updatedAt
        - updatedBy
        - version
        - volumeId
      type: object
    remotefs.Meta:
      properties:
        filters:
          items:
            $ref: '#/components/schemas/remotefs.Filter'
          type: array
        order:
          type: string
        pagination:
          $ref: '#/components/schemas/remotefs.Pagination'
        search:
          type: string
        sortBy:
          type: string
      type: object
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object
    remotefs.ResourceStatus:
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      type: string
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted
    remotefs.SnapshotTag:
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        name:
          type: string
      required:
        - addedAt
        - addedBy
        - name
      type: object
    remotefs.Filter:
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
      type: object
    remotefs.Pagination:
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
      type: object

````